/*
 * AssemblyTagAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [ObjectId("367b72f5-08e2-4c74-a5a6-460ae90ec1bc")]
    public sealed class AssemblyTagAttribute : Attribute
    {
        public AssemblyTagAttribute(string value)
        {
            tag = value;
        }

        ///////////////////////////////////////////////////////////////////////

        private string tag;
        public string Tag
        {
            get { return tag; }
        }
    }
}
