/*
 * AssemblySourceTimeStampAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [ObjectId("4cf127ce-4382-45f8-8df1-93caafa06af8")]
    public sealed class AssemblySourceTimeStampAttribute : Attribute
    {
        public AssemblySourceTimeStampAttribute(string value)
        {
            sourceTimeStamp = value;
        }

        ///////////////////////////////////////////////////////////////////////

        private string sourceTimeStamp;
        public string SourceTimeStamp
        {
            get { return sourceTimeStamp; }
        }
    }
}
