/*
 * UintPair.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Components.Public;

namespace Eagle._Components.Private
{
    [ObjectId("33d180b5-0736-4b15-80f4-a590c34ceca8")]
    internal sealed class UintPair : Pair<uint>
    {
        //
        // WARNING: This constructor produces an immutable null pair object.
        //
        public UintPair()
            : base()
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////////////////////////////

        public UintPair(uint x)
            : base(x)
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////////////////////////////

        public UintPair(uint x, uint y)
            : base(x, y)
        {
            // do nothing.
        }
    }
}

