/*
 * EventQueue.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using Eagle._Attributes;
using Eagle._Components.Public;
using Eagle._Containers.Public;
using Eagle._Interfaces.Public;

namespace Eagle._Containers.Private
{
    [ObjectId("8f97e602-afbe-42e1-946d-549421326de0")]
    internal sealed class EventQueue :
            QueueList<IAnyTriplet<EventPriority, DateTime, long>, IEvent>
    {
        public EventQueue()
            : base()
        {
            // do nothing.
        }
    }
}
